Page MenuHomePhabricator

[MLIR][Shape] Merge `shape` to `std`/`scf` lowerings.
ClosedPublic

Authored by frgossen on Aug 28 2020, 5:19 AM.

Details

Summary

Merge the two lowering passes because they are not useful by themselves. The new
pass lowers to std and scf is considered an auxiliary dialect.

See also
https://llvm.discourse.group/t/conversions-with-multiple-target-dialects/1541/12

Depends On D86276

Diff Detail

Event Timeline

frgossen created this revision.Aug 28 2020, 5:19 AM
Herald added a project: Restricted Project. · View Herald TranscriptAug 28 2020, 5:19 AM
frgossen requested review of this revision.Aug 28 2020, 5:19 AM
silvas accepted this revision.Aug 28 2020, 11:11 AM
silvas added a subscriber: silvas.
silvas added inline comments.
mlir/test/Conversion/ShapeToStandard/shape-to-standard.mlir
192

test for the ranked case?

This revision is now accepted and ready to land.Aug 28 2020, 11:11 AM
frgossen updated this revision to Diff 288906.Aug 31 2020, 2:34 AM

Move shape_of test cases together

frgossen marked an inline comment as done.Aug 31 2020, 2:35 AM
frgossen added inline comments.
mlir/test/Conversion/ShapeToStandard/shape-to-standard.mlir
192

Ranked test cases were already in this file before. Moved them together.

frgossen updated this revision to Diff 290251.Sep 7 2020, 5:10 AM
frgossen marked an inline comment as done.

Rebase

This revision was landed with ongoing or failed builds.Sep 7 2020, 5:13 AM
This revision was automatically updated to reflect the committed changes.

This commit appears to remove the ShapeToSCF folder, but not the add_directory(ShapeToSCF) in the parent folder, meaning the CMake configure step can't complete without errors.

This revision is now accepted and ready to land.Sep 7 2020, 5:38 AM
frgossen updated this revision to Diff 290282.Sep 7 2020, 6:58 AM

Update CMake file

This revision was automatically updated to reflect the committed changes.

Can you include the reason for revert in the revert commit message? This is helpful when tracking git log to have less hoops to jump (and we also get the info by email directly with the revert)